%define major	3
%define libname	%mklibname mpdec %{major}
%define cxxname	%mklibname mpdec++ %{major}
%define devname	%mklibname mpdec -d

Name:           mpdecimal
Version:        2.5.1
Release:        %mkrel 1
Summary:        Library for general decimal arithmetic
Group:          System/Libraries
License:        BSD
URL:            http://www.bytereef.org/mpdecimal/index.html
Source0:        http://www.bytereef.org/software/mpdecimal/releases/mpdecimal-%{version}.tar.xz
BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  unzip

%description
mpdecimal is a package for correctly-rounded arbitrary precision decimal
floating point arithmetic.

%package -n %{libname}
Summary:	Library for general decimal arithmetic
Group:		System/Libraries

%description -n %{libname}
libmpdec is a complete implementation of the General Decimal Arithmetic
Specification. The specification, written by Mike Cowlishaw from IBM, defines a
general purpose arbitrary precision data type together with rigorously
specified functions and rounding behavior. As described in the scope section of
the specification, libmpdec will - with minor restrictions - also conform to
the IEEE 754-2008 Standard for Floating-Point Arithmetic, provided that the
appropriate context parameters are set.

%package -n %{cxxname}
Summary:	Library for general decimal arithmetic
Group:		System/Libraries

%description -n %{cxxname}
libmpdec++ is a complete implementation of the General Decimal Arithmetic
Specification. libmpdec++ is mostly a header library around libmpdec’s C
functions.

The library frees users from manual memory management and has an easy API with
inline operators similar to the one in Python’s decimal module. Like Python’s
decimal module, libmpdec++ has a thread local context for inline operators and
other functions that use the implicit context.

%package -n %{devname}
Summary:	Development headers for mpdecimal library
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	%{cxxname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libmpdec-devel = %{version}-%{release}
Provides:	libmpdec++-devel = %{version}-%{release}

%description -n %{devname}
The package contains development headers for the mpdecimal library.

%prep
%setup -q
%apply_patches


%build
%configure2_5x
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.a" -delete
rm -rf %buildroot/usr/share/doc

# license will go into dedicated directory
rm -f %{buildroot}%{_docdir}/%{name}/LICENSE.txt

%files -n %{libname}
%{_libdir}/libmpdec.so.%{version}
%{_libdir}/libmpdec.so.%{major}

%files -n %{cxxname}
%{_libdir}/libmpdec++.so.%{version}
%{_libdir}/libmpdec++.so.%{major}

%files -n %{devname}
%{_libdir}/libmpdec.so
%{_libdir}/libmpdec++.so
%{_includedir}/mpdecimal.h
%{_includedir}/decimal.hh


%changelog
* Sun Jul 17 2022 tex - 2.5.1-pclos2022
- create pkg from mga
